From a9364631e195042657e5104f59a799dc4cda33c0 Mon Sep 17 00:00:00 2001
From: Miroslav Rezanina <mrezanin@redhat.com>
Date: Mon, 15 May 2017 13:43:30 +0200
Subject: [PATCH 01/27] aarch64: Enable usb-xhci

RH-Author: Miroslav Rezanina <mrezanin@redhat.com>
Message-id: <20170515134330.16970-1-mrezanin@redhat.com>
Patchwork-id: 75163
O-Subject: [RHV 7.4 qemu-kvm-rhev PATCH] aarch64: Enable usb-xhci
Bugzilla: 1446570
RH-Acked-by: Markus Armbruster <armbru@redhat.com>
RH-Acked-by: Gerd Hoffmann <kraxel@redhat.com>
RH-Acked-by: John Snow <jsnow@redhat.com>
RH-Acked-by: Wei Huang <wei@redhat.com>

From: Miroslav Rezanina <mrezanin@redhat.com>

BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1446570
Brew: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13198239

We did not support usb-xhci on the aarch64 architecture. However, we are
going to use this device on aarch64 so enabling it.

Note: Libvirt will prefer qemu-xhci device. Unfortunatelly, it's not possible
to configure build only this version of usb-xhci device with keeping
nec-usb-xhci disabled so both device will be enabled by this patch.

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 default-configs/aarch64-softmmu.mak | 1 +
 1 file changed, 1 insertion(+)

diff --git a/default-configs/aarch64-softmmu.mak b/default-configs/aarch64-softmmu.mak
index 118b861..a697f40 100644
--- a/default-configs/aarch64-softmmu.mak
+++ b/default-configs/aarch64-softmmu.mak
@@ -24,3 +24,4 @@ CONFIG_ARM_V7M=y
 CONFIG_PCIE_PORT=y
 CONFIG_XIO3130=y
 CONFIG_IOH3420=y
+CONFIG_USB_XHCI=y
-- 
1.8.3.1

